Imports DevExpress.Xpf.Core

Public Class dxwFecha
    Public NombreFichero As String
    Public Fecha As Date?
    Private _fechaObligatoria As Boolean
    Public Sub New(Optional Fecha As Date? = Nothing, Optional Titulo As String = "Introduzca intervalo de Fechas", Optional FechaObligatoria As Boolean = False)
        ' Llamada necesaria para el diseñador.
        InitializeComponent()
        Me.Title = Titulo
        Me.deFecha.EditValue = Fecha
        _fechaObligatoria = FechaObligatoria

        ' Agregue cualquier inicialización después de la llamada a InitializeComponent().

    End Sub

    Public Sub New()
        ' Llamada necesaria para el diseñador.
        InitializeComponent()
        ' Agregue cualquier inicialización después de la llamada a InitializeComponent().

    End Sub
    Private Sub btCancelar_Click(sender As Object, e As RoutedEventArgs)
        Me.DialogResult = False
        Me.Close()
    End Sub

    Private Sub btAceptar_Click(sender As Object, e As RoutedEventArgs)
        Try
            If Me.deFecha.EditValue Is Nothing AndAlso _fechaObligatoria Then Throw New Exception("La fecha es obligatoria")
            Me.Fecha = Me.deFecha.EditValue
            Me.DialogResult = True
            Me.Close()
        Catch ex As Exception
            DXMessageBox.Show(ex.Message, "Error")
        End Try
    End Sub


End Class
